<template lang="pug">
.row.mb-1
  .col-12(@click='setSelected')
    BadgeButton(type='relation' :badges='badges' :isSelected='isSelected')
      template(#default='d')
        .x-badge.input-group-append(v-if='isSelected && !transitions')
          button.btn.btn-primary(type="button" title='Add Transition' @click='doCreateTransition()')
            | #[i.fa.fa-stopwatch]
  .col-12.ml-2.mt-1(v-if='transitions')
      BaseAnimationBlock(anim='height')
        Transition(v-show='isInSelection' v-for='transition, idx in transitions' :key='idx'
                   :state='state' :property='property' :relation='relation' :transition='transition')
</template>
<script src='./Relation.vue.js' />
